# Query Collection Account Detail

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST`  `/remittance/collection/query-collection-account-detail`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/remittance-api/common)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>collection_account_id<mark style="color:red;">*</mark></td><td>long</td><td>Collection Account ID</td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":
        {
        },
    "total":4
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="213.58203125">Name</th><th width="190.6484375">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant Id</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>integer</td><td>Payment type</td></tr><tr><td>account_name<mark style="color:red;">*</mark></td><td>string</td><td>Account Name</td></tr><tr><td>account_label</td><td>string</td><td>Account Alias</td></tr><tr><td>account_no<mark style="color:red;">*</mark></td><td>string</td><td>Account Number/IBAN</td></tr><tr><td>account_no_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account Number Type</p><p>Enum:</p><p>1 - account_number </p><p>2- iban </p><p>3 -pix_key</p></td></tr><tr><td>alternate_no</td><td>string</td><td>Other Collection Number</td></tr><tr><td>alternate_no_type</td><td>integer</td><td><p>Other collection number type</p><p>For example : pix key(BR)</p><p>Enum:</p><p>3 -pix_key</p></td></tr><tr><td>branch_code</td><td>string</td><td>branch code</td></tr><tr><td>bank_name</td><td>string</td><td>Bank Name</td></tr><tr><td>bank_address</td><td>string</td><td>Bank Address</td></tr><tr><td>bank_country</td><td>string</td><td>Bank country</td></tr><tr><td>routing_code</td><td>string</td><td>Routing Code</td></tr><tr><td>routing_code_type</td><td>string</td><td><p>Routing Code Type </p><p>Enum:</p><p>     bic_swift</p><p>     ispb<br>     aba</p><p>     bsb_code</p><p>     cnaps</p><p>     ifsc</p><p>     institution_no</p><p>     sort_code</p></td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string</td><td><p>Currency</p><p>As a 3-letter ISO currency code</p></td></tr><tr><td>created_at<mark style="color:red;">*</mark></td><td>string</td><td>Created At</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/collection/query-accounts' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/collection/query-collection-account-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
